# 接続済みアカウントの一覧を取得

正規URL： https://sosoapi.ai/ja/docs/api/identity-api-user-social-accounts-list

契約: sha256:563d2d581da0ad29

ワークスペースに接続されたソーシャルアカウント（Instagram、Threads、Facebook、YouTube）を、接続状態と機能の確認情報付きで取得します。予約やコメント時には、そのIDをsocial_account_idに使用してください。workspace_idを指定してください。明示的な対象指定が必須になると、未指定のリクエストは拒否されます。

POST /identity-api/user/social-accounts/list

## 認証と権限

- **受け付ける認証情報の種類:** user_session, delegated_oauth, personal_access_token

- **委任された機能権限:** agent:operate

- **ワークスペースの最低ロール:** この契約ではワークスペースロールの最低要件はありません。所有権と付与権限の確認は引き続き適用されます。

- **アクセス範囲:** このユーザーがアクセスを許可されたリソース

- **すべてのワークスペースへの同意が必要:** いいえ

- **状態を変更:** いいえ

- **操作完了時：** synchronous_http_response

トークンは所有者の権利内でのみ使えます。各要求で所属、リソース所有権、選択ワークスペース、付与機能を確認します。coreとfullは表示だけを変え、アクセスは付与しません。

## リクエストのフィールド

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "include_authorization_grant": {
      "type": "boolean"
    }
  },
  "additionalProperties": false
}
```

## レスポンスと完了条件

成功時のHTTPステータス： 200

HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "accounts": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "platform": {
            "type": "string",
            "enum": [
              "instagram",
              "threads",
              "facebook",
              "tiktok",
              "linkedin",
              "youtube",
              "x"
            ]
          },
          "handle": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "valid",
              "expiring_soon",
              "expired",
              "disconnected"
            ]
          },
          "expires_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "created_at": {
            "type": "string"
          },
          "avatar_url": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "follower_count": {
            "anyOf": [
              {
                "type": "integer",
                "minimum": 0,
                "maximum": 9007199254740991
              },
              {
                "type": "null"
              }
            ]
          },
          "post_count": {
            "anyOf": [
              {
                "type": "integer",
                "minimum": 0,
                "maximum": 9007199254740991
              },
              {
                "type": "null"
              }
            ]
          },
          "auto_sync_enabled": {
            "type": "boolean"
          },
          "last_synced_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "workspace_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              {
                "type": "null"
              }
            ]
          },
          "platform_user_id": {
            "anyOf": [
              {
                "type": "string",
                "minLength": 1
              },
              {
                "type": "null"
              }
            ]
          },
          "instagram_login_mode": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "instagram_login",
                  "facebook_login"
                ]
              },
              {
                "type": "null"
              }
            ]
          },
          "facebook_page_id": {
            "anyOf": [
              {
                "type": "string",
                "minLength": 1
              },
              {
                "type": "null"
              }
            ]
          },
          "blocked_until": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "block_reason": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "transient",
                  "account_block",
                  "auth_invalid",
                  "permanent"
                ]
              },
              {
                "type": "null"
              }
            ]
          },
          "block_subcode": {
            "anyOf": [
              {
                "type": "integer",
                "minimum": -9007199254740991,
                "maximum": 9007199254740991
              },
              {
                "type": "null"
              }
            ]
          },
          "block_count": {
            "type": "integer",
            "minimum": 0,
            "maximum": 9007199254740991
          },
          "last_block_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "health_state": {
            "type": "string",
            "enum": [
              "ready",
              "action_required",
              "temporarily_unavailable",
              "publishing_restricted",
              "disconnected",
              "unknown"
            ]
          },
          "health_message": {
            "type": "string",
            "minLength": 1,
            "maxLength": 500
          },
          "health_observed_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "authorization_grant": {
            "oneOf": [
              {
                "type": "object",
                "properties": {
                  "granted_permissions": {
                    "type": "array",
                    "items": {
                      "type": "string",
                      "minLength": 1
                    }
                  },
                  "inventory_source": {
                    "type": "string",
                    "enum": [
                      "oauth_token_response",
                      "provider_token_debug",
                      "provider_permissions_endpoint"
                    ]
                  },
                  "inventory_exact": {
                    "type": "boolean",
                    "const": true
                  },
                  "observed_at": {
                    "type": "string",
                    "minLength": 1
                  },
                  "provider_api_version": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 40
                  },
                  "oauth_provider": {
                    "type": "string",
                    "enum": [
                      "instagram",
                      "threads",
                      "meta",
                      "google"
                    ]
                  },
                  "oauth_subject_id": {
                    "type": "string",
                    "minLength": 1
                  }
                },
                "required": [
                  "granted_permissions",
                  "inventory_source",
                  "inventory_exact",
                  "observed_at",
                  "provider_api_version",
                  "oauth_provider",
                  "oauth_subject_id"
                ]
              },
              {
                "type": "object",
                "properties": {
                  "granted_permissions": {
                    "minItems": 0,
                    "maxItems": 0,
                    "type": "array",
                    "items": {
                      "not": {}
                    }
                  },
                  "inventory_source": {
                    "type": "string",
                    "const": "unavailable"
                  },
                  "inventory_exact": {
                    "type": "boolean",
                    "const": false
                  },
                  "observed_at": {
                    "type": "null"
                  },
                  "provider_api_version": {
                    "type": "null"
                  },
                  "oauth_provider": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "instagram",
                          "threads",
                          "meta",
                          "google"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "oauth_subject_id": {
                    "anyOf": [
                      {
                        "type": "string",
                        "minLength": 1
                      },
                      {
                        "type": "null"
                      }
                    ]
                  }
                },
                "required": [
                  "granted_permissions",
                  "inventory_source",
                  "inventory_exact",
                  "observed_at",
                  "provider_api_version",
                  "oauth_provider",
                  "oauth_subject_id"
                ]
              }
            ]
          },
          "current_capability_snapshot_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              {
                "type": "null"
              }
            ]
          },
          "capability_facts": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "capability": {
                  "type": "string",
                  "enum": [
                    "can_publish_text",
                    "can_publish_image",
                    "can_publish_video",
                    "can_publish_reel",
                    "can_publish_carousel",
                    "can_publish_first_comment",
                    "can_publish_topic_tag",
                    "can_publish_link",
                    "can_upload_video",
                    "can_set_title",
                    "can_set_description",
                    "can_set_thumbnail",
                    "can_set_privacy_status",
                    "can_publish_story",
                    "can_invite_collaborators",
                    "can_tag_products",
                    "can_publish_trial_reel",
                    "can_publish_partnership",
                    "can_delete_media",
                    "can_publish_reply",
                    "can_quote_post",
                    "can_repost",
                    "can_publish_poll",
                    "can_publish_gif",
                    "can_publish_text_attachment",
                    "can_publish_ghost_post",
                    "can_tag_location",
                    "can_crossshare_to_instagram",
                    "can_auto_publish_text",
                    "can_delete_post",
                    "can_publish_multi_image",
                    "can_target_post",
                    "can_backdate_post",
                    "can_manage_native_schedule",
                    "can_update_video",
                    "can_delete_video",
                    "can_set_brand_partner"
                  ]
                },
                "observed_allowed": {
                  "anyOf": [
                    {
                      "type": "boolean"
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "availability": {
                  "type": "string",
                  "enum": [
                    "available",
                    "unavailable",
                    "unknown",
                    "documented_ambiguous"
                  ]
                },
                "reason_code": {
                  "type": "string",
                  "pattern": "^[a-z0-9_]+$"
                },
                "observed_at": {
                  "type": "string"
                },
                "valid_until": {
                  "type": "string"
                },
                "provider_api_version": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 40
                },
                "required_permissions": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1
                  }
                },
                "granted_permissions": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1
                  }
                },
                "account_eligibility": {
                  "type": "object",
                  "propertyNames": {
                    "type": "string"
                  },
                  "additionalProperties": {}
                }
              },
              "required": [
                "capability",
                "observed_allowed",
                "availability",
                "reason_code",
                "observed_at",
                "valid_until",
                "provider_api_version",
                "required_permissions",
                "granted_permissions",
                "account_eligibility"
              ]
            }
          }
        },
        "required": [
          "id",
          "platform",
          "handle",
          "status",
          "expires_at",
          "created_at",
          "health_state",
          "health_message",
          "health_observed_at",
          "current_capability_snapshot_id",
          "capability_facts"
        ]
      }
    }
  },
  "required": [
    "accounts"
  ]
}
```

## エラーと安全な再試行

HTTPステータスとレスポンス本文を確認します。400の検証エラーにはZodErrorが含まれる場合があります。ハンドラーエラーはerror、message、codeを使用します。診断用にrequest_idまたはx-request-idを保持し、認証情報は含めないでください。401/403はアクセス問題を解消してから再試行し、429はRetry-Afterに従います。書き込み結果が不確か、または5xxの場合は、まず既存の結果を取得してください。冪等性キーは対応する操作でのみ再利用します。再試行の挙動は操作ごとに異なり、厳密に一回の配信は保証しません。

## 例

スキーマ確認済みの架空値の例です。認可されたID、準備済みメディア、確認済みの公開日時に置き換え、書き込み前に適格性を確認してください。このページはAPIを呼びません。

サーバーのSOSOAPI_ACCESS_TOKENに操作が受け付ける認証情報を設定し、ブラウザーコードに含めないでください。エージェントはsosoapi auth loginでブラウザーログインし、CLIに更新を任せます。

request.json

```json
{}
```

cURL

```bash
curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/identity-api/user/social-accounts/list" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json
```

JavaScript

```js
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/identity-api/user/social-accounts/list", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.
```

CLI

```bash
npx sosoapi api post /identity-api/user/social-accounts/list < request.json
```

合成レスポンス例

```json
{
  "accounts": []
}
```

## 関連ツールとガイド

MCP: sosoapi_list_connected_accounts

[APIリファレンス](https://sosoapi.ai/ja/docs/api)
